#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QDebug>
#include <QFontDialog>
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_clicked()
{
    qDebug().noquote() << "Current text edit font: " << ui->plainTextEdit->font();
    bool ok = false;
    QFont chosen = QFontDialog::getFont(&ok, ui->plainTextEdit->font(), this, "Chose a text editor font");
    if(ok) {
        //Should be different than the inital font
        qDebug() << "The font chosen was: " << chosen;
        ui->plainTextEdit->setFont(chosen);
    }

}
